import { message } from "antd/lib/index";
import { getPropertyData, extendInclude, extendRule, getDataFieldValue, setDataFieldValue, initFilter, guid } from "../../utils/common";
import moment from 'moment';
import config from "../../config.js"
import storage from '../../utils/storage'
import { Button, Row, Col, Form, Input, Select, Upload, Icon, Modal, Spin,Table } from 'antd';
/**
 * @return {string}
 */
// 编辑
export default {
  onBeforeSaveHandleRecord(params) {
    params.record.TaskID = params.data.TaskID    //TaskID传递消息表ID
    params.record.PUBLISH = params.customParams;
    // params.record.FORM_CODE = params.data.reloadKey.substring(0,params.data.reloadKey.indexOf("_"));
  },
  onChange: ({ colInfo, stateData,record, getFieldValue, setFieldValue, resetFields }) => {
    if (colInfo.FIELD_NAME === 'Nav_DeviceBase.NAME') {
        let value = getFieldValue('Nav_DeviceBase.NAME')
        if(!value){
            setFieldValue("SPEC", "");
            setFieldValue("MACHINE_CODE", "");
            setFieldValue("POSITION", "");
        }
    }
  },
}
